fetch any contract data
curl --request POST \
--url https://api.example.com/api/v1/contract/fetch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"abi": [
{}
],
"source": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/contract/fetch"
payload = {
"address": "<string>",
"abi": [{}],
"source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({address: '<string>', abi: [{}], source: '<string>'})
};
fetch('https://api.example.com/api/v1/contract/fetch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network": "<string>",
"contractAddress": "<string>",
"implementation": "<string>",
"abi": [
{}
],
"owner": true
}Contract Route
fetch any contract data
POST
/
api
/
v1
/
contract
/
fetch
fetch any contract data
Authorizations
Authentication
Body
application/json
Network uid
Available options:
arbitrum, bsc, bsc_testnet, ethereum, linea, optimism, base, base_sepolia, gnosis, fantom, polygon, polygon_amoy, blast, zksync, scroll, avalanche, avalanche_fuji, telos, sepolia, holesky, ethereum_sepolia, ethereum_holesky, tron, zeta, somnia, adi, anvil, icp, vechain, stellar, bitcoin, solana Contract address
Pattern:
\SContract ABI
Show child attributes
Show child attributes
Source of the contract data
Response
200 - application/json
OK
⌘I